%global momorel 5

Summary: A program for benchmarking hard drives and filesystems
Name: bonnie++
Version: 1.03a
Release: %{momorel}m
License: GPL
Group: Applications/System
Source0: http://www.coker.com.au/bonnie++/%{name}-%{version}.tgz 
NoSource: 0
URL: http://www.coker.com.au/bonnie++/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gcc-c++ >= 3.4.1-1m

%description
Bonnie++ is a benchmark suite that is aimed at performing a number of simple
tests of hard drive and file system performance.

%prep
%setup -q

%build
%configure --mandir=%{buildroot}%{_mandir}
make 

%install
[ -d %{buildroot} ] && rm -rf %{buildroot}
make install eprefix=%{buildroot}%{_prefix}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc copyright.txt credits.txt debian/changelog readme.html
%{_sbindir}/*
%{_bindir}/*
%{_mandir}/man*/*

%changelog
* Fri Aug 13 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.03a-5m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++

* Sun Jun 15 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.03a-4m)
- cancel 3m and the problem is fixed by glibc-2.3.2-4m

* Sun Jun 15 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.03a-3m)
- add bonnie++-1.03a-no-inline.patch in order to suppress prototype mismatch error on glibc-2.3.2

* Sat Mar  8 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.03a-2m)
- add URL tag

* Sat Jan 11 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.03a-1m)

* Sat Nov  9 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.02-11m)
- add gcc3 patch

* Thu May 30 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (1.02-10k)
- cancel gcc-3.1 autoconf-2.53

* Thu May 23 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.02-8k)
- applied gcc 3.1 patch

* Tue Jan  1 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.02-6k)
- fix a broken symlink in doc dir

* Mon Dec  1 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.02-4k)
- modife Groups

* Sun Sep 30 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.02-2k)
- first Kondarization

* Wed Sep 06 2000 Rob Latham <rlatham@plogic.com>
- first packaging
